Bug 1807520 - malaga-suomi-voikko requires Python 2 to build
Summary: malaga-suomi-voikko requires Python 2 to build
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: malaga-suomi-voikko
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ville-Pekka Vainio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27 1913679
TreeView+ depends on / blocked
 
Reported: 2020-02-26 14:41 UTC by Petr Viktorin
Modified: 2021-02-20 10:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 14:41:42 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like malaga-suomi-voikko, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:10:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Petr Viktorin 2021-01-14 17:45:29 UTC
Ville-Pekka, do you have answers to the questions above?

Comment 3 Petr Viktorin 2021-01-14 18:24:54 UTC
PR with attempt to port: https://src.fedoraproject.org/rpms/malaga-suomi-voikko/pull-request/2

Comment 4 Ville-Pekka Vainio 2021-01-16 16:52:19 UTC
Hi Petr!

You would test the change by building the package. Seems to me it's working. Which tool did you use to see voikko/generate_lex.py is the only file requiring changes?

The thing is, I am slowly working on updating the whole Finnish spell checking stack and progress has been slower than I planned. I have a bit more than a month before the beta freeze, though. With some luck, that would be enough. In upstream, this package has already been replaced by the voikko-fi package, which is Python 3 compatible from the start.

Comment 5 Petr Viktorin 2021-01-18 10:12:14 UTC
Terve, Ville-Pekka!

Glad to hear that things are moving forward. Thank you for your work!
It's OK to continue using Python 2 to build, even for f34. If voikko-fi isn't ready by f35, the patch can be merged then.


> Which tool did you use to see voikko/generate_lex.py is the only file requiring changes?

Well, I ran the build with Python 3 instead of Python 2, and fixed the file that gave me errors ;)

Comment 6 Ville-Pekka Vainio 2021-01-19 19:57:12 UTC
(In reply to Petr Viktorin from comment #5)
> It's OK to continue using Python 2 to build, even for f34. If voikko-fi
> isn't ready by f35, the patch can be merged then.

Good to hear :) I'll leave the bug report open and we'll see how things go.

Comment 7 Mike FABIAN 2021-02-18 12:35:06 UTC
I think I fixed it in F34 and rawhide.
I had made almost exactly the same change as in 
https://src.fedoraproject.org/rpms/malaga-suomi-voikko/pull-request/2
in RHEL8 in July 2018 already and there were no complaints so far. So I think this fix is OK.

Comment 8 Miro Hrončok 2021-02-19 23:39:35 UTC
> I think I fixed it in F34 and rawhide.

$ repoquery --repo=koji-source malaga-suomi-voikko 
malaga-suomi-voikko-0:1.19-13.fc34.src

$ repoquery --repo=koji-source --requires malaga-suomi-voikko | grep py
python2

It appears the commit was never built.

Comment 9 Ville-Pekka Vainio 2021-02-20 10:52:13 UTC
(In reply to Miro Hrončok from comment #8)
 > It appears the commit was never built.

The malaga-suomi-voikko and the malaga packages have been obsoleted by the voikko-fi package now.
I have not retired the malaga-suomi-voikko package yet, I'm a bit busy today. I will try to find the time to retire it tomorrow.

The malaga package could be useful for someone, but it has not been maintained upstream for years. I might just orphan it and let people know on the mailing list.


Note You need to log in before you can comment on or make changes to this bug.